Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class CacheMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.CacheMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class CacheMessage

extends PastMessage

Version:
  $Id: CacheMessage.java 4654 2009-01-08 16:33:07Z jeffh $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Field Summary
`protected RawPastContent` | `content`
`static short` | `TYPE`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`CacheMessage(int uid, PastContent content, NodeHandle source, Id dest)` Constructor which takes a unique integer Id and the local id
`CacheMessage(int uid, RawPastContent content, NodeHandle source, Id dest)`

Method Summary
`static CacheMessage` | `build(InputBuffer buf, Endpoint endpoint, PastContentDeserializer pcd)`
`PastContent` | `getContent()` Method which returns the content
`short` | `getType()` Raw Serialization
`void` | `returnResponse(Continuation c, Environment env, java.lang.String instance)` Method by which this message is supposed to return it's response.
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### content

    protected RawPastContent content

Constructor Detail

### CacheMessage

    public CacheMessage(int uid,
                        PastContent content,
                        NodeHandle source,
                        Id dest)

  Constructor which takes a unique integer Id and the local id

  Parameters:
    `uid` - The unique id

### CacheMessage

    public CacheMessage(int uid,
                        RawPastContent content,
                        NodeHandle source,
                        Id dest)

Method Detail

### getContent

    public PastContent getContent()

  Method which returns the content

  Returns:
    The content

### returnResponse

    public void returnResponse(Continuation c,
                               Environment env,
                               java.lang.String instance)

  Method by which this message is supposed to return it's response.

  Specified by:
    `returnResponse` in class `PastMessage`
  Parameters:
    `c` - The continuation to return the reponse to.

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representing this message

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Overrides:
    `serialize` in class `PastMessage`
  Throws:
    `java.io.IOException`

### build

    public static CacheMessage build(InputBuffer buf,
                                     Endpoint endpoint,
                                     PastContentDeserializer pcd)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.